View Issue Details

IDProjectCategoryView StatusLast Update
0018530LazarusLCLpublic2013-05-12 16:08
ReporterSven BarthAssigned ToBart Broersma 
PrioritynormalSeverityminorReproducibilityalways
Status resolvedResolutionfixed 
Product Version0.9.31 (SVN)Product Build 
Target VersionFixed in Version1.1 (SVN) 
Summary0018530: ShellTreeView: "/" is not sorted if "root" is empty
DescriptionPut a TShellTreeView on a form and set FileSortType to fstAlphabet. Start the application. The contents of "/" will be placed at random while all subdirectories are sorted alphabetically.

Now set the property "root" to "/" and start the application again. The contents of "/" will be sorted now.
Additional InformationAttached is a screenshot showing the difference. The left tree is with "Root" set to "/", the right tree's "Root" is empty.
TagsNo tags attached.
Fixed in Revisionr41148, r41149
LazTarget-
WidgetsetGTK 2
Attached Files

Activities

2011-01-16 15:40

 

Sven Barth

2011-01-16 16:59

manager   ~0045226

*cough*
Seems like I have filed to many IDE bugs. The category should be LCL of course. -.-

Regards,
Sven

Juha Manninen

2013-05-06 13:18

developer   ~0067508

Bart recently fixed some problem of ShellTreeView's "root".
Reassigning...

Bart Broersma

2013-05-09 15:14

developer   ~0067615

Is there anything wrong wit a sloution like:
(In SetRoot, pseudocode)

if Root = '' then
if GetBasePath <> '' then Root := GetBasePath else PopulateWithBaseFiles()

The PopulateWithBaseFiles only seems to make sense to me on Win (now WinCE) platform where it lists als drives.
On *nix it acts as if Root = '/' anyway.

I cannot test if this might be Delphi incompatible, but then again, Delphi's implementation shows Desktop, My Computer etc, and we don't.

Bart Broersma

2013-05-12 16:08

developer   ~0067673

Please close if OK.

Issue History

Date Modified Username Field Change
2011-01-16 15:40 Sven Barth New Issue
2011-01-16 15:40 Sven Barth File Added: screenshot-shelltreeviews.jpg
2011-01-16 15:40 Sven Barth Widgetset => GTK 2
2011-01-16 16:59 Sven Barth Note Added: 0045226
2011-02-07 18:01 Felipe Monteiro de Carvalho Status new => assigned
2011-02-07 18:01 Felipe Monteiro de Carvalho Assigned To => Felipe Monteiro de Carvalho
2011-04-05 14:10 Felipe Monteiro de Carvalho LazTarget => -
2011-04-05 14:10 Felipe Monteiro de Carvalho Category IDE => LCL
2013-05-06 13:17 Juha Manninen Assigned To Felipe Monteiro de Carvalho => Bart Broersma
2013-05-06 13:18 Juha Manninen Note Added: 0067508
2013-05-09 15:14 Bart Broersma Note Added: 0067615
2013-05-12 16:08 Bart Broersma Fixed in Revision => r41148, r41149
2013-05-12 16:08 Bart Broersma Note Added: 0067673
2013-05-12 16:08 Bart Broersma Status assigned => resolved
2013-05-12 16:08 Bart Broersma Fixed in Version => 1.1 (SVN)
2013-05-12 16:08 Bart Broersma Resolution open => fixed